Summary:        PIN or passphrase entry dialog
Name:           pinentry
Version:        0.6.8
Release:        0.fdr.1.rh90
Epoch:          0
License:        GPL
Group:          Applications/System
URL:            http://www.gnupg.org/aegypten/
Source0:        ftp://ftp.gnupg.org/gcrypt/alpha/aegypten/pinentry-0.6.8.tar.gz
Source1:    ftp://ftp.gnupg.org/gcrypt/alpha/aegypten/pinentry-0.6.8.tar.gz.sig
Patch0:         %{name}-info.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  glib-devel >= 1:1.2.0, gtk+-devel >= 1:1.2.0, qt-devel
BuildRequires:  ncurses-devel
Requires:       chkconfig, info

%description
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.

# -----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

# -----------------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf %{buildroot}
%makeinstall
touch %{buildroot}%{_bindir}/pinentry
rm -f %{buildroot}%{_infodir}/dir

# -----------------------------------------------------------------------------

%post
install-info %{_infodir}/pinentry.info.gz %{_infodir}/dir
update-alternatives --install %{_bindir}/pinentry \
  pinentry %{_bindir}/pinentry-curses 10
update-alternatives --install %{_bindir}/pinentry \
  pinentry %{_bindir}/pinentry-gtk 40
update-alternatives --install %{_bindir}/pinentry \
  pinentry %{_bindir}/pinentry-qt 30

%postun
if [ "$1" = "0" ]; then
  install-info --delete %{_infodir}/pinentry.info.gz %{_infodir}/dir
  update-alternatives --remove pinentry %{_bindir}/pinentry-curses
  update-alternatives --remove pinentry %{_bindir}/pinentry-gtk
  update-alternatives --remove pinentry %{_bindir}/pinentry-qt
fi

# -----------------------------------------------------------------------------

%clean
rm -rf %{buildroot}

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/pinentry-*
%ghost %{_bindir}/pinentry
%{_infodir}/*

# -----------------------------------------------------------------------------

%changelog
* Sat Mar 22 2003 Ville Skytt <ville.skytta at iki.fi> - 0:0.6.8-0.fdr.1
- Update to current Fedora guidelines.

* Tue Feb 12 2003 Warren Togami <warren@togami.com> 0.6.8-1.fedora.3
- info/dir temporary workaround

* Sat Feb  8 2003 Ville Skytt <ville.skytta at iki.fi> - 0.6.8-1.fedora.1
- First Fedora release.
